Changeset 14717


Ignorieren:
Zeitstempel:
07.06.2018 16:26:06 (vor 2 Monaten)
Autor:
er13
Nachricht:

strace: bump version to 4.9 [1] (older kernel versions only)

This is the latest version of strace supporting kernel 2.6.13. Strarting with 4.10 at least 2.6.15 is required (s. [2]).

refs #2958

[1] https://raw.githubusercontent.com/strace/strace/v4.9/NEWS
[2] https://raw.githubusercontent.com/strace/strace/v4.10/NEWS

Ort:
trunk
Dateien:
3 hinzugefügt
5 bearbeitet
1 verschoben

Legende:

Unverändert
Hinzugefügt
Entfernt
  • trunk/CHANGELOG

    r14716 r14717  
    188188    * sqlite 3.23.1 
    189189    * sslh 1.18 
    190     * strace 4.8/4.22 
     190    * strace 4.9/4.22 
    191191    * stunnel 5.46 
    192192    * subversion 1.8.19/1.9.7 
  • trunk/make/strace/Config.in

    r14716 r14717  
    11config FREETZ_PACKAGE_STRACE 
    2     bool "strace 4.22/4.8 (binary only)" 
     2    bool "strace 4.22/4.9 (binary only)" 
    33    default n 
    44    select FREETZ_REMOVE_STRACE if FREETZ_AVM_HAS_STRACE 
  • trunk/make/strace/patches/4.9/010-disabled-largefile-syscalls.patch

    r14716 r14717  
    11--- syscall.c 
    22+++ syscall.c 
    3 @@ -116,6 +116,18 @@ 
    4  #define NF SYSCALL_NEVER_FAILS 
    5  #define MA MAX_ARGS 
     3@@ -101,6 +101,18 @@ 
     4 #define SI STACKTRACE_INVALIDATE_CACHE 
     5 #define SE STACKTRACE_CAPTURE_ON_ENTER 
    66  
    77+#if !defined(HAVE_STATFS64) 
  • trunk/make/strace/patches/4.9/020-no_WSTOPPED_in_uClibc-0.9.28.patch

    r14716 r14717  
    11--- strace.c 
    22+++ strace.c 
    3 @@ -1165,7 +1165,11 @@ 
     3@@ -1259,7 +1259,11 @@ 
    44            if (!NOMMU_SYSTEM) { 
    55                /* Wait until child stopped itself */ 
  • trunk/make/strace/strace.mk

    r14716 r14717  
    33# that's the reason we have to stick to an older strace version for kernel versions 2.6.13 & 2.6.19 
    44# 
    5 $(call PKG_INIT_BIN, $(if $(FREETZ_KERNEL_VERSION_2_6_19_MAX),4.8,4.22)) 
     5$(call PKG_INIT_BIN, $(if $(FREETZ_KERNEL_VERSION_2_6_19_MAX),4.9,4.22)) 
    66$(PKG)_SOURCE:=$(pkg)-$($(PKG)_VERSION).tar.xz 
    7 $(PKG)_SOURCE_MD5_4.8 :=c575ef43829586801f514fd91bfe7575 
     7$(PKG)_SOURCE_MD5_4.9 :=885eafadb10f6c60464a266d3929a2a4 
    88$(PKG)_SOURCE_MD5_4.22:=7a2a7d7715da6e6834bc65bd09bace1c 
    99$(PKG)_SOURCE_MD5:=$($(PKG)_SOURCE_MD5_$($(PKG)_VERSION)) 
     
    2323 
    2424$($(PKG)_BINARY): $($(PKG)_DIR)/.configured 
    25     $(SUBMAKE) -C $(STRACE_DIR) 
     25    $(SUBMAKE1) -C $(STRACE_DIR) 
    2626 
    2727$($(PKG)_TARGET_BINARY): $($(PKG)_BINARY) 
Hinweis: Hilfe zur Verwendung der Changeset-Ansicht finden Sie unter TracChangeset.